# Widget Bill Payment Overview

Finpay Widget Bill Payment is a solution that enables the use of widgets to integrate bill payment and purchases. It is possible to incorporate this widget into websites or applications to facilitate payments for users without requiring them to exit the platform they are now using.

{% @mermaid/diagram content="sequenceDiagram
opt Generate Widget
EndUser->>ChannelMerchant: Select the Telkom payment menu
ChannelMerchant->>WBP: Request generate Telkom Payment widget
WBP->>ChannelMerchant: Response generate Telkom Payment widget
WBP->>ChannelMerchant: Display the credit purchase menu
ChannelMerchant-->>EndUser:\
EndUser->>WBP: Request Inquiry
WBP->>EndUser: Response Inquiry
EndUser->>WBP: Select Payment Code
WBP->>EndUser: Response Payment Code
end
opt Payment
EndUser->>PaymentChannel: Request Inquiry
PaymentChannel->>EndUser: Response Inquiry
EndUser->>PaymentChannel: Request Payment
end" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-widget-bill-payment/widget-bill-payment-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
